Bug 6997 (int-150906)

Summary: Camera: Wrong translation "Hochformat" of "Portrait" in German UI
Product: [Maemo Official Platform] Translations Reporter: Oskar <mail>
Component: Deutsch (Deutschland)Assignee: unassigned <nobody>
Status: VERIFIED FIXED QA Contact: de-de-bugs
Severity: normal    
Priority: Low CC: andre_klapper
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Maemo   

Description Oskar (reporter) 2009-12-15 19:06:22 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Switch language settings to German 
2. Open camera application
3. Tap on (usually) "A" for camera mode


EXPECTED OUTCOME:
See the pre-defined settings:
"Automatisch", "Makro", "Landschaft", "Porträt", "Action"


ACTUAL OUTCOME:
"Automatisch", "Makro", "Landschaft", "Hochformat", "Action"


REPRODUCIBILITY:
always


OTHER COMMENTS:
I assume "Landscape" and "Portrait" in this context are not related to the
device orientation, but to the scene. (If I'm wrong, it's still a bug, but then
"Landschaft" would be wrong.)

The German word "Hochformat" as used in the German version of the UI explicitly
means portrait format or orientation. Reading it without knowing the English
translation, you'd have no clue that it could have anything to do with the
portrait of a person. Users would tap on it and expect the UI changing to
portrait mode or such. 

The correct German term here is "Porträt", which is also what German speaking
users find on their digital cameras.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.9.1.4)
Gecko/20091109 Gentoo Shiretoko/3.5.4
Comment 1 Andre Klapper maemo.org 2009-12-15 23:44:44 UTC
Thanks for reporting this.
Comment 2 Andre Klapper maemo.org 2010-01-11 12:03:07 UTC
This has been fixed in package
osso-camera-ui-l10n 6.0+r7498+0m5
which is part of the internal build version
2010.01-6
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:56:33 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).